<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\FilialService;

class FilialController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $FilialService;
   
    public function __construct($crudService, $environment, FilialService $FilialService) {
        parent::__construct($crudService, $environment);
        $this->FilialService = $FilialService;
    }
    
    public function simpleView(DTO\Request $request, DTO\Response $response) {
        $filials = $this->FilialService->simpleView();
        $dtsVal = new DataSet('Filiais', $filials);
        $response->addDataSet($dtsVal);
    }
}

?>