<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ProdutoService;

class ProdutoController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $ProdutoService;
   
    public function __construct($crudService, $environment, ProdutoService $ProdutoService) {
        parent::__construct($crudService, $environment);
        $this->ProdutoService = $ProdutoService;
    }
    
     public function produtos(DTO\Request $request, DTO\Response $response) {
       $response->addDataSet(new DataSet('produtos', $this->ProdutoService->getProdutos()));
       
    }
}

?>