<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TypeLocalFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getTypesLocal() {
        $sql = "SELECT NRTIPOLOCALCLI, NMTIPOLOCALCLI
                 FROM FCM_TIPOLOCALCLI";
        
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    } 
}

?>